'use strict';

var parseModules = require("./parse-modules");

module.exports = function filterModules(stack, ignoredModules) {
    var newStack = [];

    return stack.map(function (stackLine) {
        var moduleList = parseModules(stackLine.file);

        if (moduleList.some(function (module) {
            return ignoredModules.includes(module);
        })) {
            return {
                type: "ignored",
                count: 1
            };
        } else {
            return Object.assign({
                type: "stack"
            }, stackLine);
        }
    });
};